Description

Supportanfrage

Wenn ich versuche die GUI Control zu starten 2019-07-16_12-05-39.png 

bekomme ich diesen Fehler 2019-07-16_12-07-11.png 

Woran kann es liegen?

Lösung

Scheinbar wurde das Plugin in der adtfsystem Datei mehrfach hinzugefügt (manuell/automatisch).

Das ganze kann mittels Remove all und autofill from config_bereinigt werden (ab ADTF 3.6.0 -> _Remove all, Clean up), jeweils bei

den Release und Debug Plugins im System Editor des Configuration Editor

History

#1 - 2019-07-16 15:28 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::GUIControl

#2 - 2019-07-16 15:32 - hidden

- Status changed from In Progress to Customer Feedback Required

- Affected Products deleted (ADTF 2.7.1)

Hallo Waldemar,

das ist die letzte Fehlermeldung einer langen Kette und kann unterschiedliche Gründe haben, mittlerweile ist auch das Logging besser, im Vergleich

zu deiner (alten) Version.

Am besten du startest parallel einen Log View auf den gleichen Port, dann müsste die Fehlermeldung klarer sein.

Was ich mir vorstellen kann:

Du hast kein passendes Visual Studio (benötigst du für die Debug Runtime... geht die Release Toolchain ?)

Es läuft bereits ein ADTF Prozess auf dem angegeben System (Control startet/attached sich nur an einen Launcher mit ADTF System)

Es fehlt irgendeine Komponente/Abhängigkeit und das System kann nicht gestartet werden

Das sollte aber wie gesagt am Logging erkannt werden.

#3 - 2019-07-16 15:34 - hidden

Nachtrag:

Ich sehe gerade erst, dass es sich um Linux handelt, deshalb scheidet der erste Punkt aus.

Logging solltest du dann in der Console bereits haben

#4 - 2019-07-16 16:01 - hidden
- File adtf3debugError.txt added

Hallo,

hier die Logs adtf3debugError.txt

Ich habe es soeben mit einem standard Filter (Demo Data Trigger) probiert Neues Projekt -> Add Filter das hat funktioniert.

Zuvor habe ich jedoch zuerst meinen CQ-Filter hinzugefügt und den anschließend gelöscht und den Demo-Filter hinzugefügt, das hat nicht

funktioniert obwohl mein CQ-Filter nicht mehr in der Konfiguration sichtbar war.

Es freut mich, dass es überhaupt funktioniert. Jetzt müssten wir herausfinden warum es mit meinen Filter nicht funktioniert.

Gruß

Waldemar

#5 - 2019-07-16 16:13 - hidden

Hallo Waldemar,

deine Komponente wird zweimal geladen und das geht nicht, siehe log:

[ERROR]: Result code '-15 '(ERR_RESOURCE_IN_USE) -     The class ethernet_to_rdb.converter.carmeq.cid can not be registered twice

 Ggf. hast du diese im System zweimal hinzugefügt ?

Normalerweise wird der Pfad nur einmal geladen.

Bitte prüfe deine System Datei.

Am besten machst du bei den Debug und Release Plugins im System Editor jeweils ein Remove all und atofill from conf.

Danach darf der Pfad zu deinem adtfplugin jeweils nur einmal vorhanden sein und die Config lauffähig.

#6 - 2019-07-16 16:42 - hidden

Super. Danke für den Tipp (Remove all und atofill from conf.), der scheint sehr hilfreich zu sein :)

Gruß

Waldemar

#7 - 2019-07-17 09:08 - hidden

- Project changed from 20 to Public Support

- Subject changed from Launch via GUI Control (Debug) kann nicht gestartet werden to Could not launch GUI Control in Debug Mode

(ERR_RESOURCE_IN_USE)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#8 - 2020-01-16 15:29 - hidden

- Status changed from To Be Closed to Closed
